Page MenuHomePhabricator

make cut-off for dispatching changes for highly used pages smarter
Closed, ResolvedPublic

Description

In T177707 we introduced a cut-off that decides how many pages get notified about a given edit on Wikidata. This currently selects pages rather arbitrarily. We should make a smarter selection to notify the pages most people watch.

ideas for what to base it on:

  • number of watchers
  • page id
  • time it was last touched

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2017, 3:11 PM
Elitre added a subscriber: Elitre.Oct 25 2017, 4:25 PM

Given that this discards happen rather rarely (one per minute usually: https://grafana.wikimedia.org/dashboard/db/wikidata-change-propagation?panelId=4&fullscreen&orgId=1) it's okay to run some "expensive" queries to find out which set of articles are the best to dispatch. One thing that worries me is about number of watchers. Watchlist data is something between private and public information. For example Special:UnwatchedPages is only available to admins: (see) but page information gives out the exact number of watchers (page with zero watchers). Just a double check in here would be fantastic. Maybe with Security ?

In English Wikipedia, number of watchers isn't be shown if it's under thirty, I know it's the case for Persian Wikipedia as well but I'm not sure why Wikidata is not like it.

Change 436998 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Order results of EntityUsageTable::getPagesUsing() based on eu_page_id

https://gerrit.wikimedia.org/r/436998

Ladsgroup claimed this task.Jun 2 2018, 7:05 PM
Ladsgroup moved this task from Tasks to Needs Review on the Wikidata-Ministry-Of-Magic board.

This patch orders results based on eu_page_id which is useful to some degree but I doubt we can call this task done when the patch got merged. I leave the decision about this to @Lydia_Pintscher

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 2 2018, 7:05 PM

In English Wikipedia, number of watchers isn't be shown if it's under thirty, I know it's the case for Persian Wikipedia as well but I'm not sure why Wikidata is not like it.

Wikidata is like it as well (this example only tells me “fewer than 30 watchers”), @Ladsgroup just got too used to his admin rights :P

Change 436998 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Order results of EntityUsageTable::getPagesUsing() based on eu_page_id

https://gerrit.wikimedia.org/r/436998

Lydia_Pintscher closed this task as Resolved.Jun 5 2018, 4:31 PM
Lydia_Pintscher added a subscriber: Lea_Lacroix_WMDE.